require 'tjcrawler/page'
module Tjcrawler
  class Scheduler
    def start
      @queue = Queue.new
      @queue << @seed_url
      @crawler_number.times do
        @threads << Thread.new do
          crawler = Cralwer.new(css: '.entry-title > a')
          urls = crawler.crawl(@queue.pop)
          urls.each{ |url| @queue << url }
        end
      end
      @threads.each(&:join)
    end
  end
end
